Trying to upgrade to sdl-1.2.5

Trying to upgrade to sdl-1.2.5

Post by User Yosh » Fri, 07 Feb 2003 12:26:23



I'm getting the following errors while trying to upgrade sdl12 from
1.2.4 to 1.2.5   Any ideas what I am doing wrong?

SDL_vglvideo.c: In function `VGL_Available':
SDL_vglvideo.c:105: `VIDBUF16' undeclared (first use in this function)
SDL_vglvideo.c:105: (Each undeclared identifier is reported only once
SDL_vglvideo.c:105: for each function it appears in.)
SDL_vglvideo.c:106: `VIDBUF32' undeclared (first use in this function)
SDL_vglvideo.c: In function `VGL_UpdateVideoInfo':
SDL_vglvideo.c:231: structure has no member named `PixelBytes'
SDL_vglvideo.c:232: structure has no member named `PixelBytes'
SDL_vglvideo.c: In function `VGL_VideoInit':
SDL_vglvideo.c:279: `VIDBUF16' undeclared (first use in this function)
SDL_vglvideo.c:280: `VIDBUF32' undeclared (first use in this function)
SDL_vglvideo.c: In function `VGL_SetVideoMode':
SDL_vglvideo.c:327: `VIDBUF16' undeclared (first use in this function)
SDL_vglvideo.c:328: `VIDBUF32' undeclared (first use in this function)
SDL_vglvideo.c:357: structure has no member named `PixelBytes'
SDL_vglvideo.c:358: structure has no member named `PixelBytes'
SDL_vglvideo.c:364: structure has no member named `PixelBytes'
SDL_vglvideo.c: In function `VGLListModes':
SDL_vglvideo.c:544: structure has no member named `PixelBytes'
SDL_vglvideo.c:586: `VIDBUF16' undeclared (first use in this function)
SDL_vglvideo.c:587: `VIDBUF32' undeclared (first use in this function)
SDL_vglvideo.c:588: warning: unreachable code at beginning of switch
statement
SDL_vglvideo.c: At top level:
SDL_vglvideo.c:638: warning: `VGLWaitRetrace' defined but not used
SDL_vglvideo.c:444: warning: `VGL_BankedUpdate' defined but not used
*** Error code 1

Stop in /usr/ports/devel/sdl12/work/SDL-1.2.5/src/video/vgl.
*** Error code 1

Stop in /usr/ports/devel/sdl12/work/SDL-1.2.5/src/video.
*** Error code 1

Stop in /usr/ports/devel/sdl12/work/SDL-1.2.5/src.
*** Error code 1

Stop in /usr/ports/devel/sdl12/work/SDL-1.2.5.
*** Error code 1

Stop in /usr/ports/devel/sdl12.

 
 
 

1. trying to upgrade kernel; where's iptables-1.2.5-3 or above?

while trying to update the kernel, it tells me:

iptables < 1.2.5-3

conflicts with the latest kernel.  but i've been all over
the place, i can't find an RPM for iptables-1.2.5 or above.
i can find one for i686, but i need i386.  and redhat doesn't
seem to have anything above 1.2.4.

what's going on?

signed,
mostly clueless

--

Head of Sun Support, Sr. Operating Systems Specialist
Applied Research Labs, Computer Science Div.                   S224
University of Texas at Austin

2. mpegtv registration key?

3. upgrade from Solaris 2.3 to 2.5: install program tries to do new install

4. Trident 9440AGI - WORKS!!!!

5. devel/sdl-1.2.2 port wrong?

6. Help with Phonnet PC III Card cops driver

7. Anyone tried an AMD DX4-120 with 2.4 or 2.5?

8. DESCENT for Linux!

9. Signal Handling under Solaris 2.5 (2nd try)

10. ProCtool broken on 2.4, works great on 2.5 - have tried all troubleshooting tips in the manual!!!

11. matroxfb dies when you try to use secondary head in 2.5.x

12. ProCtool broken on 2.4, works great on 2.5 - have tried all troubleshooting tips in the manual!!!

13. Anyone tried 2.5.[23] on Alpha?